Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::conversion::office2pdf::Office2PDFSettingData Class Reference

Inherits Object.

## Public Member Functions
| Office2PDFSettingData ()
| Constructor.
| Office2PDFSettingData (const wchar_t *resource_folder_path, bool is_embed_font, Word2PDFConfig word_setting_data, Excel2PDFConfig excel_setting_data)
| Constructor, with parameters. More...
Office2PDFSettingData & | operator= (const Office2PDFSettingData &data)
| Assign operator. More...
void | Set (const wchar_t *resource_folder_path, bool is_embed_font, Word2PDFConfig word_setting_data, Excel2PDFConfig excel_setting_data)
| Set value. More...

## Public Attributes
Excel2PDFConfig | excel_setting_data
| A setting data object that used for converting Excel format documents to PDF format documents. More...
bool | is_embed_font
| A boolean value which indicates whether to embed font in the converted file,Default value: false. More...
WString | resource_folder_path
| A valid path of a folder which contains resource data files. This should not be an empty string. More...
Word2PDFConfig | word_setting_data
| A setting data object that used for converting Word format documents to PDF format documents. More...

## Detailed Description

This class represents setting data used for converting Office(Word, Excel or PowerPoint) to PDF format file.

## Constructor & Destructor Documentation

## ◆ Office2PDFSettingData()

foxit::addon::conversion::office2pdf::Office2PDFSettingData::Office2PDFSettingData | ( | const wchar_t * | resource_folder_path,
|  | bool | is_embed_font,
|  | Word2PDFConfig | word_setting_data,
|  | Excel2PDFConfig | excel_setting_data
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

## Member Function Documentation

## ◆ operator=()

Office2PDFSettingData& foxit::addon::conversion::office2pdf::Office2PDFSettingData::operator= | ( | const Office2PDFSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another Office-to-PDF setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::addon::conversion::office2pdf::Office2PDFSettingData::Set | ( | const wchar_t * | resource_folder_path,
|  | bool | is_embed_font,
|  | Word2PDFConfig | word_setting_data,
|  | Excel2PDFConfig | excel_setting_data
| ) |  |
| inline

Set value.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

Returns
  None.

## Member Data Documentation

## ◆ excel_setting_data

Excel2PDFConfig foxit::addon::conversion::office2pdf::Office2PDFSettingData::excel_setting_data

A setting data object that used for converting Excel format documents to PDF format documents.

This setting is only vaild for the conversion of Excel documents to PDF format documents. For more details, please refer to class Excel2PDFConfig.

## ◆ is_embed_font

bool foxit::addon::conversion::office2pdf::Office2PDFSettingData::is_embed_font

A boolean value which indicates whether to embed font in the converted file,Default value: false.

true means to embed font in the converted file, while false means not.

## ◆ resource_folder_path

WString foxit::addon::conversion::office2pdf::Office2PDFSettingData::resource_folder_path

A valid path of a folder which contains resource data files. This should not be an empty string.

These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.

## ◆ word_setting_data

Word2PDFConfig foxit::addon::conversion::office2pdf::Office2PDFSettingData::word_setting_data

A setting data object that used for converting Word format documents to PDF format documents.

This setting is only vaild for the conversion of Word documents to PDF format documents. For more details, please refer to class Word2PDFConfig.